SET DEFINE OFF;
-- MESTRES - TIPUS SERVEI -------------------------------------------------------------------
Insert into MONITOR.TIPUS_SERVEI (CODI,DESCRIPCIO) values ('HTTP','Servei web de tipus HTTP');
Insert into MONITOR.TIPUS_SERVEI (CODI, DESCRIPCIO) values ('SOAP-XML','Servei web de tipus api SOAP-XML');
Insert into MONITOR.TIPUS_SERVEI (CODI, DESCRIPCIO) values ('REST-JSON','Servei web de tipus api REST-JSON');

-- MESTRES - TIPUS  -------------------------------------------------------------------------
Insert into MONITOR.TIPUS_ERROR (CODI,DESCRIPCIO) values ('NORESPON','El servei web no respon');
Insert into MONITOR.TIPUS_ERROR (CODI,DESCRIPCIO) values ('RESPNOESP','La resposta del servei web no conte la cadena esperada');

-- MESTRES - CLIENTS ------------------------------------------------------------------------
Insert into MONITOR.CLIENT (ID,NOM,CIF) values ('1','Blue Rent a Car','H56350044');
Insert into MONITOR.CLIENT (ID,NOM,CIF) values ('2','Barcelona Hoteles S.A.','G4823610C');
Insert into MONITOR.CLIENT (ID,NOM,CIF) values ('3','Germans Escales','P3691496H');

-- SERVEIS WEB ------------------------------------------------------------------------------
Insert into MONITOR.SERVEI_WEB (ID,DESCRIPCIO,TIPUS,URL,CLIENT,ACTIU) values ('BLUERENT','Web comercial de Blue Rent a Car','HTTP','http://www.bluerentacar.com',1,'S');
Insert into MONITOR.SERVEI_WEB (ID,DESCRIPCIO,TIPUS,URL,CLIENT,ACTIU) values ('BCNHOTEL','Api per gestio de reserves versio SOAP','SOAP-XML','http://www.barcelonahotel.com/wsdl/reserves.wsdl',2,'S');
Insert into MONITOR.SERVEI_WEB (ID,DESCRIPCIO,TIPUS,URL,CLIENT,ACTIU) values ('BCNHOTELRE','Api per gestio de reserves versio REST','REST-JSON','http://www.barcelonahotel.com/rest/reserves',2,'S');
Insert into MONITOR.SERVEI_WEB (ID,DESCRIPCIO,TIPUS,URL,CLIENT,ACTIU) values ('GERMESCAL','Web corporativa del grup comercial Germans Escales','HTTP','http://www.grupgermansescales.cat',3,'S');

-- REGLES MONITORITZACIO --------------------------------------------------------------------
Insert into MONITOR.REGLA_MONITORITZACIO (ID,NOM,PERIODE,ACTIVA,SERVEI) values (1,'DISPONIBILITAT BLUE RENTACAR','43200','S','BLUERENT'); 
Insert into MONITOR.REGLA_MONITORITZACIO (ID,NOM,PERIODE,ACTIVA,SERVEI) values (2,'DISPONIBILITAT API SOAP BCN HOTEL','28800','S','BCNHOTEL');
Insert into MONITOR.REGLA_MONITORITZACIO (ID,NOM,PERIODE,ACTIVA,SERVEI) values (3,'DISPONIBILITAT API REST BCN HOTEL','28800','S','BCNHOTELRE');
Insert into MONITOR.REGLA_MONITORITZACIO (ID,NOM,PERIODE,ACTIVA,SERVEI) values (4,'DISPONIBILITAT WEB GERMANS ESCALES','14400','S','GERMESCAL');

-- PASSOS MONITORITZACIO --------------------------------------------------------------------
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad home',1,'http://www.bluerentacar.com/index.html',60,null,'<body>',1);
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad pagina tarifas',2,'http://www.bluerentacar.com/tarifas.html',60,null,'<body>',1);
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad pagina reservas',3,'http://www.bluerentacar.com/reservas.html',60,null,'<body>',1);
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad pagina oficinas',4,'http://www.bluerentacar.com/oficinas.html',60,null,'<body>',1);
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad pagina fidelizacion',5,'http://www.bluerentacar.com/fidelizacion.html',60,null,'<body>',1);


Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad peticio hotels disponibles',1,'http://www.barcelonahotel.com/wsdl/reserves.wsdl',30,'<?xml version="1.0"?> <SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"  SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><SOAP-ENV:Body><getAvail xmlns="http://namespaces.bchhoteles.org/xmljava/"><start>01/08/2016</start><days>1</days></getAvail> </SOAP-ENV:Body></SOAP-ENV:Envelope>','<getAvailResponse>',2);
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad peticio ficha hotel',2,'http://www.barcelonahotel.com/wsdl/reserves.wsdl',30,'<?xml version="1.0"?> <SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"  SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/"><SOAP-ENV:Body><getHotel xmlns="http://namespaces.bchhoteles.org/xmljava/"><id>45932</id></getHotel> </SOAP-ENV:Body></SOAP-ENV:Envelope>','<getHotelResponse>',2);


Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad peticio hotels disponibles',1,'http://www.barcelonahoteles.com/rest/reserves/avail',30,'{"start":"01/08/2016","days":1}','"hotels":',3);
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad peticio ficha hotel',2,'http://www.barcelonahoteles.com/rest/reserves/hotel/45932',30,'','"hotelcontent":',3);


Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad home',1,'http://www.grupgermansescales.cat',60,NULL,'<body>',4);
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad pagina empreses',2,'http://www.grupgermansescales.cat/empreses.html',60,NULL,'<body>',4);
Insert into MONITOR.PAS_MONITORITZACIO (ID,DESCRIPCIO,ORDRE,URL,TIMEOUT,PETICIO,RESPOSTA,REGLA) values (SEQ_PAS.NEXTVAL,'Disponibilidad pagina productes',3,'http://www.grupgermansescales.cat/productes.html',60,NULL,'<body>',4);

-- REGLES HISTORIQUES --------------------------------------------------------------------
Insert into MONITOR.REGLES_HISTORIQUES (REGLA,ORDRE,ACTIVA,DATAHORA) values (1,1,'S',to_date('30/04/16 12:00','DD/MM/RR HH24:MI'));
Insert into MONITOR.REGLES_HISTORIQUES (REGLA,ORDRE,ACTIVA,DATAHORA) values (1,2,'N',to_date('15/05/16 18:00','DD/MM/RR HH24:MI'));
Insert into MONITOR.REGLES_HISTORIQUES (REGLA,ORDRE,ACTIVA,DATAHORA) values (1,3,'S',to_date('20/05/16 09:00','DD/MM/RR HH24:MI'));

Insert into MONITOR.REGLES_HISTORIQUES (REGLA,ORDRE,ACTIVA,DATAHORA) values (2,1,'S',to_date('01/05/16 15:10','DD/MM/RR HH24:MI'));

Insert into MONITOR.REGLES_HISTORIQUES (REGLA,ORDRE,ACTIVA,DATAHORA) values (3,1,'S',to_date('01/05/16 15:15','DD/MM/RR HH24:MI'));

Insert into MONITOR.REGLES_HISTORIQUES (REGLA,ORDRE,ACTIVA,DATAHORA) values (4,1,'S',to_date('27/05/16 17:45','DD/MM/RR HH24:MI'));
Insert into MONITOR.REGLES_HISTORIQUES (REGLA,ORDRE,ACTIVA,DATAHORA) values (4,2,'N',to_date('05/06/16 18:50','DD/MM/RR HH24:MI'));

commit;